Update an interface

View as Markdown

Update an interface. This operation is not permitted if the simulation is not in an updatable state.

Required scope: air:simulation_edit (roles: air_org_admin, air_user)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this interface.

Request

This endpoint expects an object.
namestringOptional1-15 characters
interface_typeenumOptional
  • DATA_PLANE_INTF - Data Plane Interface
  • PCIE_INTF - PCIe Interface between emulated nodes
  • OOB_INTF - Out of Band Management Interface
mac_addressstringOptional>=1 character
The MAC address of the interface. If excluded, one will be provided
outboundbooleanOptional
Whether the interface is outbound.
labelsobjectOptional

Labels which can be specified on the interface. Fields not specified in the payload schema will be completely ignored. If updating, the data provided will completely replace existing labels: attempting to PATCH specific labels will delete the other labels.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
nodestringRead-onlyformat: "uuid"
namestring<=15 characters
connectionstring or nullRead-onlyformat: "uuid"
A "link" between two interfaces.
splitstring or nullRead-only

Breakout factor of the interface: the split bucket of the platform port map the interface belongs to (‘1’ = un-split, e.g. ‘2’, ‘4’, ‘8’). None means the interface is not governed by a platform port map.

interface_typeenumOptional
  • DATA_PLANE_INTF - Data Plane Interface
  • PCIE_INTF - PCIe Interface between emulated nodes
  • OOB_INTF - Out of Band Management Interface
mac_addressstringOptional
The MAC address of the interface. If excluded, one will be provided
outboundbooleanOptional
Whether the interface is outbound.
labelsobjectOptional

Labels which can be specified on the interface. Fields not specified in the payload schema will be completely ignored. If updating, the data provided will completely replace existing labels: attempting to PATCH specific labels will delete the other labels.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error